"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Command = void 0;
var command_line_args_1 = __importDefault(require("command-line-args"));
// TODO: implement all commands/options
var Command = /** @class */ (function () {
    function Command() {
        this.command = {
            file: "migration.yml",
            // default: true,
            // recursive: true,
            path: "migrations",
        };
        this.optionDefinitions = [
            { name: "file", alias: "f", type: String },
            { name: "path", alias: "p", type: String },
        ]; // alternate path name
    }
    Command.prototype.dispatch = function () {
        var options = (0, command_line_args_1.default)(this.optionDefinitions);
        return this.command;
    };
    return Command;
}());
exports.Command = Command;
