import commandLineArgs from "command-line-args";

export interface ICommand {
  file: string; // alternate file name
  path: string; // alt
}

// TODO: implement all commands/options
export class Command {
  private command: ICommand = {
    file: "migration.yml",
    // default: true,
    // recursive: true,
    path: "migrations",
  };
  private optionDefinitions = [
    { name: "file", alias: "f", type: String }, // alternate file name
    { name: "path", alias: "p", type: String },
  ]; // alternate path name
  public dispatch(): ICommand {
    const options = commandLineArgs(this.optionDefinitions);
    return this.command;
  }
}
