export interface IMigrationsConfig {
  name?: string;
  directory?: string;
  migrations: { migration: IMigration }[];
}

export interface IMigration {
  type: "mysql";
  file?: string;
  recursive?: boolean;
  extension?: string;
  folder?: string;
  url?: string;
  port?: number;
  host?: string;
  user?: string;
  password?: string;
  database?: string;
  migrationName?: string;
}
