import { IDBDriver } from "./db-driver.interface";
import { IMigration } from "./migrations.interface";
export declare class MySQLDriver implements IDBDriver {
    private settings;
    private connection;
    constructor(settings: IMigration);
    static driverName: string;
    connect(): Promise<void>;
    close(): Promise<void>;
    dispatch<T>(query: string): Promise<any>;
}
export declare const DRIVERS: {
    [key: string]: IDBDriver;
}[];
